This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 178021 - Review Request: SIBsim4 - Align expressed RNA sequences on a DNA template
Review Request: SIBsim4 - Align expressed RNA sequences on a DNA template
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Chabot
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-17 09:23 EST by Christian Iseli
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 17:48:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Iseli 2006-01-17 09:23:12 EST
Spec Name or Url: ftp://ftp.licr.org/pub/software/unix/SIBsim4.spec
SRPM Name or Url: ftp://ftp.licr.org/pub/software/unix/SIBsim4-0.9-0.src.rpm
Description:

SIBsim4 is a modified version of the sim4 program, which is a
similarity-based tool for aligning an expressed DNA sequence (EST,
mRNA) with a genomic sequence.

I maintain the package on SourceForge here: http://sibsim4.sf.net

Builds in mock, rpmlint is silent.

Just one binary, one man-page, and one COPYRIGHT file... :-)
Comment 1 Chris Chabot 2006-01-17 15:04:57 EST
I'll pick it up, feel free to assign the bug to me, working on formal reviewlist now
Comment 2 Chris Chabot 2006-01-17 15:31:21 EST
First few observations:

Release 0, we start releases at '1' :-)

Maybe better to use install -m664 for the manpage and -m755 for the binary? that
way your always sure the file modes are correct.

Compile failed for me, is there something i'm missing? (up to date
fc-development-i386 box):

gcc -o SIBsim4 -std=gnu99 -W -Wall -pedantic  -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -fasynchronous-unwind-tables sim4b1.o align.o misc.o sim4.init.o 
sim4b1.o: In function
`pluri_align':/usr/src/redhat/BUILD/SIBsim4-0.9/sim4b1.c:1315: undefined
reference to `floor'
collect2: ld returned 1 exit status
make: *** [sim4] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.49523 (%build)


man floor tells me this file should be linked with "-lm" to fix this error.

Please correct the above errors (guidelines say package should atleast compile
on fc devel), and post new src.rpm and i'll go thru the formar reviewlist.
Comment 3 Christian Iseli 2006-01-17 19:03:06 EST
(In reply to comment #2)
> Release 0, we start releases at '1' :-)

Sure, but it is not unusual for review requests to start at 0... :-)

> Maybe better to use install -m664 for the manpage and -m755 for the binary? 

Done.

> Compile failed for me, is there something i'm missing?

No, brain fart on my side (long story is that it works in some cases without
the math lib due to compiler optimizations, but it all depends on the compiler
switches used and on th etarget architecture...).  Fixed.

New spec and SRPMS are here:
ftp://ftp.licr.org/pub/software/unix/SIBsim4.spec
ftp://ftp.licr.org/pub/software/unix/SIBsim4-0.9-1.src.rpm

Thanks!
Comment 4 Chris Chabot 2006-01-17 19:19:37 EST
Looking good, package compiles perfectly for me now, rpmlint is quiet and mock
is happy too.

The formal review checklist:

MUST review items:
- Builds cleanly on FC5 devel.
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (GPL) is fedora extra's compatible & is included (COPYRIGHT)
- Spec file is in (american) english
- Does not list buildrequires that are excepted in the package guidelines
- No build dependencies
- No ldconfig needed
- All files have proper permissions
- Package is not relocatable
- No duplicate files in %files section
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- No directory-ownerships needed
- Not GUI app, no desktop file needed

Should items:
- Includes upstream licence(s) file
- No insane scriplets
- No unnescesarry requires
- Mock builds cleanly

Thanks for the quick updates! Package is FE-ACCEPTED

Please cvs-import, make tag, make build and after this assign the bug to me
please and close with NEXTRELEASE as resolution.
Comment 5 Christian Iseli 2006-01-18 17:48:49 EST
(In reply to comment #4)
> Thanks for the quick updates! Package is FE-ACCEPTED

Thanks for the quick review :-)  I changed the blocker...

> Please cvs-import, make tag, make build

Done.

> and after this assign the bug to me please

Was already done :)

> and close with NEXTRELEASE as resolution.

Done.

Thanks.
Comment 6 Chris Chabot 2006-01-18 18:12:31 EST
Woops sorry for that can't believe i forgot to change blocker bug. Happy .. umm
.. dna sequencing? :-)
Comment 7 Christian Iseli 2006-01-19 03:21:00 EST
np

We don't do much sequencing here.  Mainly data storage, distribution,
and analysis :)

Note You need to log in before you can comment on or make changes to this bug.